RIPCTL(8)

NAME
ripctl - control the Routing Information Protocol daemon

SYNOPSIS
ripctl [-s socket] command [argument ...]

DESCRIPTION
The ripctl program controls the ripd(8) daemon. Commands may be abbreviated to the minimum unambiguous prefix; for example, s n for show neighbor.

The following options are available:

-s socket
    Use socket instead of the default /var/run/ripd.sock to communicate with ripd(8).

The following commands are available:

fib couple
    Insert the learned routes into the Forward Information Base a.k.a. the kernel routing table.

fib decouple
    Remove the learned routes from the Forward Information Base a.k.a. the kernel routing table. Decoupling the FIB from an RIP router may create routing loops and could cause major routing issues.

log brief
    Disable verbose debug logging.

log verbose
    Enable verbose debug logging.

show fib [destination | filter]
    Show the Forwarding Information Base. destination can be specified to show the route matching a destination IP address. filter can be any of the following:

    connected
        Show only connected routes.
    interface
        Show only interfaces.
    rip Show only RIP routes.
    static
        Show only static routes.

    connected, rip, and static may be specified together.

show interfaces
    Show details for all interfaces.

show neighbor
    Show neighbors.

show rib
    Show the Routing Information Base.

FILES
/var/run/ripd.sock
    UNIX-domain socket used for communication with ripd(8).

SEE ALSO
ripd.conf(5), ripd(8)

HISTORY
The ripctl program first appeared in OpenBSD 4.1.